## imagemagick 6.6.0.4

=== debian/changelog ===
imagemagick (8:6.6.0.4-3+squeeze4) squeeze-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add 0006-CVE-2014-1947-Fix-buffer-overflow-when-handling-PSD-images.patch patch.
    CVE-2014-1947: Fix buffer overflow when handling PSD images.
    (Closes: #740250)
  * Add 0007-Prevent-buffer-overflow-in-messaging-system.patch patch.
    Add upstream patch to prevent buffer overflow in messaging system.

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 18 Mar 2014 20:54:04 +0100

imagemagick (8:6.6.0.4-3+squeeze3) stable-security; urgency=high

  * Fix my blunder in the previous patch (closes: #670980, #671002). 
    All credit for patches of +squeeeze2 and the current fix go to 
    Bastien Roucaries. 

 -- Vincent Fourmond <fourmond@debian.org>  Wed, 02 May 2012 20:26:45 +0200

imagemagick (8:6.6.0.4-3+squeeze2) stable-security; urgency=high

  * Fix "Invalid validation DoS CVE-2012-1185 / CVE-2012-1186 (incomplete fix)" 
  (Closes: #665007)
  * Fix CVE-2012-0259 / CVE-2012-0260 / CVE-2012-1798 / 
    CVE-2012-1610 (Closes: #667635)
  - Vulnerability CVE-2012-0259 can cause a DoS in a system
    via handing JPEG files with invalid EXIF XResolution tag.
  - Vulnerability CVE-2012-0260 can lead to excessive use of
    memory in target system, when processing a malicious JPEG file.
    Excessive use of memory can lead to denial of service.
  - Vulnerability CVE-2012-1798 can cause program to crash when
    reading invalid memory, while parsing EXIF IFD in a TIFF file.
  - Vulnerability CVE-2012-1610 Fix a Potential EXIF Integer Overflow

 -- Vincent Fourmond <fourmond@debian.org>  Wed, 18 Apr 2012 23:05:08 +0200

imagemagick (8:6.6.0.4-3+squeeze1) stable-security; urgency=high

  * Security bug fix: "Invalid validation DoS
    CVE-2012-0247/CVE-2012-02478", thanks to Henri Salo (Closes: #659339).

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 05 Mar 2012 21:05:07 +0100

imagemagick (8:6.6.0.4-3) unstable; urgency=medium

  * Apply fix for reading config files from current directory, found by
    Jakub Wilk <jwilk@debian.org> (Closes: #601824).
    Thanks to Andreas Metzler <ametzler@downhill.at.eu.org> for the nicely
    formatted patch.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Tue, 16 Nov 2010 10:53:04 -0200

imagemagick (8:6.6.0.4-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Change Recommends on ufraw to ufraw-batch (closes: #579775).

 -- Julien Cristau <jcristau@debian.org>  Tue, 10 Aug 2010 18:21:24 -0400

imagemagick (8:6.6.0.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Re-upload 6.6.0.4 with bumped epoch to revert ABI breakage (closes:
    #587227).

 -- Julien Cristau <jcristau@debian.org>  Thu, 05 Aug 2010 13:19:32 -0400

imagemagick (7:6.6.0.4-2) unstable; urgency=low

  * Revert debian/patches/type.xml.patch for now, while we address this issue
    with upstream (Closes: #573983).
  * debian/control: make libmagickcore3-extra provides libmagickcore-extra
    (Closes: #574058). Thanks, Stuart Prescott!

 -- Nelson A. de Oliveira <naoliv@debian.org>  Wed, 17 Mar 2010 10:18:13 -0300

imagemagick (7:6.6.0.4-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Fri, 12 Mar 2010 15:13:35 -0300

imagemagick (7:6.5.9.8-1) experimental; urgency=low

  * New upstream release;
  * Upstream updated SONAME version (Closes: #564123):
    - debian/control: bump libmagickcore2, libmagickwand2 and libmagick++2 to
      libmagickcore3, libmagickwand3 and libmagick++3;
  * Removed reference to type-ghostscript.xml in type.xml, thus enabling
    ImageMagick to use the system fonts (Closes: #396420):
    - Added new patch debian/patches/type.xml.patch.
  * Fix mime handling of filenames with spaces (Closes: #562959).
    Thanks, Drew Parsons!
  * Updated Standards-Version to 3.8.4;
  * Remove unneeded debian/README.source.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Sat, 20 Feb 2010 02:39:52 -0200

imagemagick (7:6.5.8.3-1) unstable; urgency=low

  * New upstream release:
    - Fix the display of consecutive images with 'display' (Closes: #558046).
  * Convert package to the new format 3.0 (quilt);
  * Add some packages to Recommends, as they are necessary to convert to/from
    some formats (Closes: #557734):
    - ghostscript, netpbm, ufraw.
  * Like above, also add some packages to Suggests:
    - autotrace, cups-bsd | lpr | lprng, curl, enscript, ffmpeg, gimp, gnuplot,
      grads, groff-base, hp2xx, html2ps, libwmf-bin, mplayer, povray, radiance,
      sane-utils, texlive-base-bin, transfig, ufraw, xdg-utils.
    
 -- Nelson A. de Oliveira <naoliv@debian.org>  Sun, 06 Dec 2009 10:28:52 -0200

imagemagick (7:6.5.7.8-1) unstable; urgency=low

  * New upstream release;
  * Fix recommends on libmagickcore2-extra (Closes: #556360);
  * Fix versioned dependency on libmagick* libs (Closes: #556740).

 -- Nelson A. de Oliveira <naoliv@debian.org>  Tue, 17 Nov 2009 16:46:29 -0200

imagemagick (7:6.5.7.7-1) unstable; urgency=low

  * New upstream release;
    - Fixes "perferred" typos (Closes: #550503). Thanks A. Costa!
    - Patch to fix FTBFS on hurd-i386 has been merged upstream
      (Closes: #551017). Thanks Pino Toscano!
  * Upload to unstable.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Sat, 14 Nov 2009 15:07:22 -0200

imagemagick (7:6.5.5.3-1exp1) experimental; urgency=low

  * Split SVG, WMF, OpenEXR, DjVu and Graphviz coders into a new
    libmagickcore2-extra package:
    - Removed libmagickcore2 circular Depends on libmagickwand2
      (Closes: #524613);
    - Removed dependency on gtk libs (Closes: #478538).
    A big thank you to Nick Wellnhofer <wellnhofer@aevum.de>!
  * Sorted Build-Depends and Depends in debian/control.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Mon, 28 Sep 2009 20:00:55 -0300

imagemagick (7:6.5.5.3-1) unstable; urgency=low

  * New upstream release;
  * Removed SA35216.diff as it was fixed upstream;


=== debian/control ===
Source: imagemagick
Section: graphics
Priority: optional
Maintainer: ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>
Uploaders: Luciano Bello <luciano@debian.org>,
 Daniel Kobras <kobras@debian.org>, Nelson A. de Oliveira <naoliv@debian.org>,
 Bastien Roucariès <roucaries.bastien+debian@gmail.com>
Standards-Version: 3.8.4
Build-Depends: chrpath, debhelper (>= 7), ghostscript, libbz2-dev,
 libdjvulibre-dev, libexif-dev, libfreetype6-dev, libgraphviz-dev,
 libjasper-dev, libjpeg-dev, liblcms-dev, liblqr-1-0-dev, libltdl-dev,
 libopenexr-dev, libperl-dev, libpng-dev, librsvg2-dev, libtiff-dev,
 libwmf-dev, libx11-dev, libxext-dev, libxml2-dev, libxt-dev, pkg-config,
 zlib1g-dev
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gmagick/
Vcs-Svn: svn://svn.debian.org/svn/pkg-gmagick/
Homepage: http://www.imagemagick.org/

Package: imagemagick
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libmagickcore3-extra, ghostscript, netpbm, ufraw-batch
Suggests: imagemagick-doc, autotrace, cups-bsd | lpr | lprng, curl, enscript,
 ffmpeg, gimp, gnuplot, grads, groff-base, hp2xx, html2ps, libwmf-bin, mplayer,
 povray, radiance, sane-utils, texlive-base-bin, transfig, xdg-utils
Description: image manipulation programs
 ImageMagick is a software suite to create, edit, and compose bitmap images.
 It can read, convert and write images in a variety of formats (over 100)
 including DPX, EXR, GIF, JPEG, JPEG-2000, PDF, PhotoCD, PNG, Postscript,
 SVG, and TIFF. Use ImageMagick to translate, flip, mirror, rotate, scale,
 shear and transform images, adjust image colors, apply various special
 effects, or draw text, lines, polygons, ellipses and Bézier curves. 
 All manipulations can be achieved through shell commands as well as through
 an X11 graphical interface (display).

Package: imagemagick-dbg
Architecture: any
Section: debug
Priority: extra
Depends: imagemagick (= ${binary:Version}), libmagick++3 (= ${binary:Version}),
 libmagickcore3-extra (= ${binary:Version}), perlmagick (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for ImageMagick
 This package contains the debugging symbols for ImageMagick, a software suite
 to create, edit, and compose bitmap images.
 
Package: imagemagick-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: www-browser
Suggests: imagemagick
Conflicts: imagemagick (<= 7:6.4.0)
Description: document files of ImageMagick
 This package contains the document files shipped with ImageMagick, a software
 suite to create, edit, and compose bitmap images.

Package: libmagickcore3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ghostscript, gsfonts
Suggests: libmagickcore3-extra
Description: low-level image manipulation library
 The MagickCore API is a low-level interface between the C programming language
 and the ImageMagick image processing libraries and is recommended for
 wizard-level programmers only. Unlike the MagickWand C API which uses only a
 few opaque types and accessors, with MagickCore you almost exlusively access
 the structure members directly.
 .
 This package contains the C libraries needed to run executables that make
 use of MagickCore.

Package: libmagickcore3-extra
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libmagickcore-extra
Conflicts: libmagickcore2 (<= 7:6.5.5.3-1)
Enhances: libmagickcore3
Description: low-level image manipulation library - extra codecs
 This package adds support for SVG, WMF, OpenEXR, DjVu and Graphviz to
 MagickCore.

Package: libmagickcore-dev
Architecture: any
Section: libdevel
Depends: libmagickcore3 (= ${binary:Version}),
 libmagickcore3-extra (= ${binary:Version}), libbz2-dev, libdjvulibre-dev,
 libexif-dev, libfreetype6-dev, libgraphviz-dev, libjasper-dev, libjpeg-dev,
 liblcms-dev, liblqr-1-0-dev, libltdl-dev, libopenexr-dev, libpng-dev,
 librsvg2-dev, libtiff-dev, libwmf-dev, libx11-dev, libxext-dev, libxml2-dev,
 libxt-dev, zlib1g-dev, ${misc:Depends}
Description: low-level image manipulation library - development files
 This package includes header files and static libraries needed to compile
 programs using MagickCore.

Package: libmagickwand3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: image manipulation library 
 The MagickWand API is the recommended interface between the C programming
 language and the ImageMagick image processing libraries. Unlike the
 MagickCore C API, MagickWand uses only a few opaque types. Accessors are
 available to set or get important wand properties.
 .
 This package contains the C libraries needed to run executables that make
 use of MagickWand.

Package: libmagickwand-dev
Architecture: any
Section: libdevel
Depends: libmagickwand3 (= ${binary:Version}),
 libmagickcore3-extra (= ${binary:Version}),
 libmagickcore-dev (= ${binary:Version}), ${misc:Depends}
Provides: libmagick9-dev
Conflicts: libmagick9-dev
Description: image manipulation library - development files
 This package includes header files and static libraries needed to compile
 programs using MagickWand.

Package: libmagick++3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: object-oriented C++ interface to ImageMagick
 The Magick++ library is a set of C++ wrapper classes that provides access
 to the ImageMagick package functionality from within a C++ application.
 .
 This package contains the C++ libraries needed to run executables that make
 use of libMagick++.

Package: libmagick++-dev
Architecture: any
Section: libdevel
Depends: libmagick++3 (= ${binary:Version}),
 libmagickcore-dev (= ${binary:Version}),
 libmagickwand-dev (= ${binary:Version}), ${misc:Depends}
Provides: libmagick++9-dev
Conflicts: libmagick++9-dev
Description: object-oriented C++ interface to ImageMagick - development files
 This package includes header files and static libraries needed to compile
 programs using Magick++.

Package: perlmagick
Architecture: any
Section: perl
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: libimage-magick-perl
Suggests: imagemagick-doc
Description: Perl interface to the ImageMagick graphics routines
 PerlMagick is an objected-oriented Perl interface to ImageMagick.
 Use the module to read, manipulate, or write an image or image sequence from
 within a Perl script. This makes it very suitable for Web CGI scripts.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

IMAGEMAGICKVERSION=6.6.0

DESTDIR="$(CURDIR)/debian/tmp"

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
endif

build: build-stamp
build-stamp: $(QUILT_STAMPFN)
	dh_testdir

	MagickDocumentPath="/usr/share/doc/imagemagick" ./configure \
	--prefix=/usr \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--with-modules \
	--with-gs-font-dir=/usr/share/fonts/type1/gsfonts \
	--with-magick-plus-plus \
	--with-djvu \
	--enable-shared \
	--without-dps \
	--without-fpx \
	--with-perl-options='INSTALLDIRS=vendor' \
	--x-includes=/usr/include/X11 \
	--x-libraries=/usr/lib/X11

	cd "$(CURDIR)/PerlMagick" && \
		perl Makefile.PL

	# Patch the generated libtool to avoid passing -rpath when linking,
	# and to explicitly link libraries against the libraries they
	# depend on.

	sed -i libtool \
		-e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
		-e '/^archive_cmds="/s/"$$/ \\$$deplibs"/'

	$(MAKE)

	cd "$(CURDIR)/PerlMagick" && \
		$(MAKE)

	touch build-stamp

check: check-stamp
check-stamp: build-stamp
	dh_testdir

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Only run the testsuite to get more info in the build logs for now,
	# but don't make a failing testsuite fail the whole build. Change it
	# to a fatal error only once we've got an estimate on how harmful
	# that would be.
	@if test "$(DEB_HOST_GNU_TYPE)" = "$(DEB_BUILD_GNU_TYPE)"; then \
		unset DISPLAY; \
		LD_LIBRARY_PATH="$(CURDIR)/magick/.libs:$(CURDIR)/wand/.libs:$(CURDIR)/Magick++/lib/.libs:$$LD_LIBRARY_PATH" \
		$(MAKE) check LD_RUN_PATH= && echo "*** Testsuite succeeded ***" || echo "*** Testsuite failed ***"; \
		cat test-suite.log; \
	else \
		echo "Skipping regression tests because we appear to be cross-compiling"; \
	fi
endif

	touch check-stamp
clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Commands to clean up after the build process
	[ ! -f PerlMagick/Makefile ] || (cd PerlMagick && $(MAKE) distclean)
	[ ! -f Makefile ] || $(MAKE) distclean
	[ ! -f Magick++/Makefile ] || (cd Magick++ && $(MAKE) distclean)
	rm -f "$(CURDIR)/utilities/.libs/*" "$(CURDIR)/_configs.sed" \
		"$(CURDIR)/magick/magick-config.h"

	dh_clean build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install \
		DESTDIR="$(CURDIR)/debian/tmp" \
		pkgdocdir=/usr/share/doc/imagemagick

	mkdir -p $(DESTDIR)/usr/share/pixmaps/
	install -m 644 "$(CURDIR)/debian/display.xpm" \
		$(DESTDIR)/usr/share/pixmaps/

	-find "$(CURDIR)/debian" -type f -name .packlist | xargs rm -f

	# Fix HTML location inside manpages
	sed -i 's/doc\/ImageMagick-$(IMAGEMAGICKVERSION)/doc\/imagemagick/' \
		$(DESTDIR)/usr/share/man/man*/*
	sed -i 's/doc\/ImageMagick\\-$(IMAGEMAGICKVERSION)/doc\/imagemagick/' \
		$(DESTDIR)/usr/share/man/man*/*

	# Use x-terminal emulator for editing (Bug #132947)
	sed -i 's/xterm/\/etc\/alternatives\/x-terminal-emulator/' \
		$(DESTDIR)/usr/lib/ImageMagick-$(IMAGEMAGICKVERSION)/config/delegates.xml

	# Remove empty directories in debian/tmp
	-find $(DESTDIR) -type d -empty | xargs rmdir -p

	# Remove RPATH from Magick.so
	chrpath -d $(DESTDIR)/usr/lib/perl5/auto/Image/Magick/Magick.so

	# empties dependency_libs from .la files
	# http://lists.debian.org/debian-devel/2009/08/msg00783.html
	find $(DESTDIR)/usr/lib -name '*.la' -exec \
		sed -i "s,^dependency_libs=.*,dependency_libs=''," {} \;

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build check install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_install
	# Remove extra coders
	while read FILE; do \
		rm -f debian/libmagickcore3/$$FILE; \
	done < debian/libmagickcore3-extra.install
	dh_installmenu
	dh_installman
	dh_installmime
	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip --dbg-package=imagemagick-dbg
	dh_compress
	dh_fixperms
	dh_perl
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./,dversionmangle=s/\.dfsg\d+$//" \
ftp://ftp.imagemagick.org/pub/ImageMagick/ ImageMagick-(.*)\.tar\.gz

## imagemagick 6.6.0.4-3ubuntu1-maemo1

=== debian/changelog ===
imagemagick (8:6.6.0.4-3ubuntu1-maemo1) oneiric; urgency=low

  * Packaging for fremantle
  * Dependencies fixed

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun,  8 Jan 2012 15:23:28 +0200

imagemagick (8:6.6.0.4-3ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian (LP: #797595).  Remaining changes:
    - Make ufraw-batch (universe) a suggestion instead of a recommendation.
    - Make debian/rules install target depend on check; they cannot reliably
      be run in parallel.
    - Don't set MAKEFLAGS in debian/rules; just pass it to the build.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Jun 2011 11:05:28 +0100

imagemagick (7:6.6.2.6-1ubuntu5) oneiric; urgency=low

  * Rebuild for Perl 5.12.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 May 2011 15:18:41 +0100

imagemagick (7:6.6.2.6-1ubuntu4) natty; urgency=low

  * Don't set MAKEFLAGS in debian/rules. just pass it to the build.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Mar 2011 02:02:30 +0100

imagemagick (7:6.6.2.6-1ubuntu3) natty; urgency=low

  * Make debian/rules install target depend on check; they cannot reliably
    be run in parallel.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Feb 2011 03:30:12 +0000

imagemagick (7:6.6.2.6-1ubuntu2) natty; urgency=low

  * Merge versions 8:6.6.0.4-2.2 and 8:6.6.0.4-3.
    * Apply fix for reading config files from current directory, found by
      Jakub Wilk <jwilk@debian.org> (Closes: #601824).
      Thanks to Andreas Metzler <ametzler@downhill.at.eu.org> for the nicely
      formatted patch.
    * Change Recommends on ufraw to ufraw-batch (closes: #579775).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 24 Nov 2010 16:53:01 +0100

imagemagick (7:6.6.2.6-1ubuntu1) maverick; urgency=low

  * Make ufraw-batch (universe) a suggestion instead of a recommendation.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 17 Sep 2010 16:25:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: imagemagick
 Section: graphics
 Priority: optional
-Maintainer: ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>
 Uploaders: Luciano Bello <luciano@debian.org>,
  Daniel Kobras <kobras@debian.org>, Nelson A. de Oliveira <naoliv@debian.org>,
  Bastien Roucariès <roucaries.bastien+debian@gmail.com>
 Standards-Version: 3.8.4
 Build-Depends: chrpath, debhelper (>= 7), ghostscript, libbz2-dev,
  libdjvulibre-dev, libexif-dev, libfreetype6-dev, libgraphviz-dev,
- libjasper-dev, libjpeg-dev, liblcms-dev, liblqr-1-0-dev, libltdl-dev,
- libopenexr-dev, libperl-dev, libpng-dev, librsvg2-dev, libtiff-dev,
+ libjasper-dev, libjpeg62-dev, liblcms1-dev, 
+ libopenexr-dev, libperl-dev, libpng12-dev, librsvg2-dev, libtiff4-dev,
  libwmf-dev, libx11-dev, libxext-dev, libxml2-dev, libxt-dev, pkg-config,
  zlib1g-dev
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-gmagick/
@@ -19,10 +20,10 @@
 Package: imagemagick
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libmagickcore3-extra, ghostscript, netpbm, ufraw-batch
+Recommends: libmagickcore3-extra, ghostscript, netpbm
 Suggests: imagemagick-doc, autotrace, cups-bsd | lpr | lprng, curl, enscript,
  ffmpeg, gimp, gnuplot, grads, groff-base, hp2xx, html2ps, libwmf-bin, mplayer,
- povray, radiance, sane-utils, texlive-base-bin, transfig, xdg-utils
+ povray, radiance, sane-utils, texlive-base-bin, transfig, xdg-utils, ufraw-batch
 Description: image manipulation programs
  ImageMagick is a software suite to create, edit, and compose bitmap images.
  It can read, convert and write images in a variety of formats (over 100)

## imagemagick 6.6.0.4-3ubuntu1-maemo2

=== debian/changelog ===
imagemagick (8:6.6.0.4-3ubuntu1-maemo2) oneiric; urgency=low

  * More dependencies fixed
  * Make dev-packages also

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun,  8 Jan 2012 19:22:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,7 @@
 Source: imagemagick
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>
-Uploaders: Luciano Bello <luciano@debian.org>,
- Daniel Kobras <kobras@debian.org>, Nelson A. de Oliveira <naoliv@debian.org>,
- Bastien Roucariès <roucaries.bastien+debian@gmail.com>
+Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
 Standards-Version: 3.8.4
 Build-Depends: chrpath, debhelper (>= 7), ghostscript, libbz2-dev,
  libdjvulibre-dev, libexif-dev, libfreetype6-dev, libgraphviz-dev,
@@ -89,7 +85,7 @@
 Depends: libmagickcore3 (= ${binary:Version}),
  libmagickcore3-extra (= ${binary:Version}), libbz2-dev, libdjvulibre-dev,
  libexif-dev, libfreetype6-dev, libgraphviz-dev, libjasper-dev, libjpeg-dev,
- liblcms-dev, liblqr-1-0-dev, libltdl-dev, libopenexr-dev, libpng-dev,
+ liblcms-dev, libopenexr-dev, libpng-dev,
  librsvg2-dev, libtiff-dev, libwmf-dev, libx11-dev, libxext-dev, libxml2-dev,
  libxt-dev, zlib1g-dev, ${misc:Depends}
 Description: low-level image manipulation library - development files

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-MAKEFLAGS += -j$(NUMJOBS)
+UPSTREAM_MAKEFLAGS += -j$(NUMJOBS)
 endif
 
 build: build-stamp
@@ -47,7 +47,7 @@
 		-e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
 		-e '/^archive_cmds="/s/"$$/ \\$$deplibs"/'
 
-	$(MAKE)
+	$(MAKE) $(UPSTREAM_MAKEFLAGS)
 
 	cd "$(CURDIR)/PerlMagick" && \
 		$(MAKE)
@@ -66,7 +66,7 @@
 	@if test "$(DEB_HOST_GNU_TYPE)" = "$(DEB_BUILD_GNU_TYPE)"; then \
 		unset DISPLAY; \
 		LD_LIBRARY_PATH="$(CURDIR)/magick/.libs:$(CURDIR)/wand/.libs:$(CURDIR)/Magick++/lib/.libs:$$LD_LIBRARY_PATH" \
-		$(MAKE) check LD_RUN_PATH= && echo "*** Testsuite succeeded ***" || echo "*** Testsuite failed ***"; \
+		$(MAKE) $(UPSTREAM_MAKEFLAGS) check LD_RUN_PATH= && echo "*** Testsuite succeeded ***" || echo "*** Testsuite failed ***"; \
 		cat test-suite.log; \
 	else \
 		echo "Skipping regression tests because we appear to be cross-compiling"; \
@@ -88,7 +88,7 @@
 
 	dh_clean build-stamp
 
-install: build
+install: build check
 	dh_testdir
 	dh_testroot
 	dh_prep

## imagemagick 6.6.0.4-3ubuntu1-maemo3

=== debian/changelog ===
imagemagick (8:6.6.0.4-3ubuntu1-maemo3) oneiric; urgency=low

  * Optified

 -- Marcin Mielniczuk <marmistrz@inboxalias.com>  Sun, 23 Mar 2014 11:21:47 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libjasper-dev, libjpeg62-dev, liblcms1-dev, 
  libopenexr-dev, libperl-dev, libpng12-dev, librsvg2-dev, libtiff4-dev,
  libwmf-dev, libx11-dev, libxext-dev, libxml2-dev, libxt-dev, pkg-config,
- zlib1g-dev
+ zlib1g-dev, maemo-optify
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-gmagick/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gmagick/
 Homepage: http://www.imagemagick.org/

=== debian/rules ===
--- 
+++ 
@@ -154,6 +154,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
+	maemo-optify
 	dh_md5sums
 	dh_builddeb

## imagemagick 6.6.2.6

=== debian/changelog ===
imagemagick (7:6.6.2.6-1ubuntu1.1) maverick-security; urgency=low

  * SECURITY UPDATE: arbitrary code execution via config files in the
    current directory.
    - debian/patches/CVE-2010-4167.patch: don't read config files from
      the current directory for the "installed" version.
    - CVE-2010-4167

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 02 Dec 2010 09:29:34 -0500

imagemagick (7:6.6.2.6-1) unstable; urgency=low

  * New upstream release;
  * Change Recommends on ufraw to ufraw-batch (Closes: #579775);
  * Fix FTBFS when using dash to run the configure script, by setting
    CONFIG_SHELL=/bin/bash (Closes: #582073, #583024). Thank you, Niko Tyni!

 -- Nelson A. de Oliveira <naoliv@debian.org>  Sun, 20 Jun 2010 19:59:55 -0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: imagemagick
 Section: graphics
 Priority: optional
-Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>
+Uploaders: Luciano Bello <luciano@debian.org>,
+ Daniel Kobras <kobras@debian.org>, Nelson A. de Oliveira <naoliv@debian.org>,
+ Bastien Roucariès <roucaries.bastien+debian@gmail.com>
 Standards-Version: 3.8.4
 Build-Depends: chrpath, debhelper (>= 7), ghostscript, libbz2-dev,
  libdjvulibre-dev, libexif-dev, libfreetype6-dev, libgraphviz-dev,
- libjasper-dev, libjpeg62-dev, liblcms1-dev, 
- libopenexr-dev, libperl-dev, libpng12-dev, librsvg2-dev, libtiff4-dev,
+ libjasper-dev, libjpeg-dev, liblcms-dev, liblqr-1-0-dev, libltdl-dev,
+ libopenexr-dev, libperl-dev, libpng-dev, librsvg2-dev, libtiff-dev,
  libwmf-dev, libx11-dev, libxext-dev, libxml2-dev, libxt-dev, pkg-config,
- zlib1g-dev, maemo-optify
+ zlib1g-dev
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-gmagick/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gmagick/
 Homepage: http://www.imagemagick.org/
@@ -85,7 +89,7 @@
 Depends: libmagickcore3 (= ${binary:Version}),
  libmagickcore3-extra (= ${binary:Version}), libbz2-dev, libdjvulibre-dev,
  libexif-dev, libfreetype6-dev, libgraphviz-dev, libjasper-dev, libjpeg-dev,
- liblcms-dev, libopenexr-dev, libpng-dev,
+ liblcms-dev, liblqr-1-0-dev, libltdl-dev, libopenexr-dev, libpng-dev,
  librsvg2-dev, libtiff-dev, libwmf-dev, libx11-dev, libxext-dev, libxml2-dev,
  libxt-dev, zlib1g-dev, ${misc:Depends}
 Description: low-level image manipulation library - development files

=== debian/rules ===
--- 
+++ 
@@ -8,19 +8,20 @@
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-IMAGEMAGICKVERSION=6.6.0
+IMAGEMAGICKVERSION=6.6.2
 
 DESTDIR="$(CURDIR)/debian/tmp"
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-UPSTREAM_MAKEFLAGS += -j$(NUMJOBS)
+MAKEFLAGS += -j$(NUMJOBS)
 endif
 
 build: build-stamp
 build-stamp: $(QUILT_STAMPFN)
 	dh_testdir
 
+	CONFIG_SHELL=/bin/bash \
 	MagickDocumentPath="/usr/share/doc/imagemagick" ./configure \
 	--prefix=/usr \
 	--mandir=\$${prefix}/share/man \
@@ -29,6 +30,7 @@
 	--with-gs-font-dir=/usr/share/fonts/type1/gsfonts \
 	--with-magick-plus-plus \
 	--with-djvu \
+	--with-perl \
 	--enable-shared \
 	--without-dps \
 	--without-fpx \
@@ -47,7 +49,7 @@
 		-e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
 		-e '/^archive_cmds="/s/"$$/ \\$$deplibs"/'
 
-	$(MAKE) $(UPSTREAM_MAKEFLAGS)
+	$(MAKE)
 
 	cd "$(CURDIR)/PerlMagick" && \
 		$(MAKE)
@@ -66,7 +68,7 @@
 	@if test "$(DEB_HOST_GNU_TYPE)" = "$(DEB_BUILD_GNU_TYPE)"; then \
 		unset DISPLAY; \
 		LD_LIBRARY_PATH="$(CURDIR)/magick/.libs:$(CURDIR)/wand/.libs:$(CURDIR)/Magick++/lib/.libs:$$LD_LIBRARY_PATH" \
-		$(MAKE) $(UPSTREAM_MAKEFLAGS) check LD_RUN_PATH= && echo "*** Testsuite succeeded ***" || echo "*** Testsuite failed ***"; \
+		$(MAKE) check LD_RUN_PATH= && echo "*** Testsuite succeeded ***" || echo "*** Testsuite failed ***"; \
 		cat test-suite.log; \
 	else \
 		echo "Skipping regression tests because we appear to be cross-compiling"; \
@@ -83,12 +85,13 @@
 	[ ! -f PerlMagick/Makefile ] || (cd PerlMagick && $(MAKE) distclean)
 	[ ! -f Makefile ] || $(MAKE) distclean
 	[ ! -f Magick++/Makefile ] || (cd Magick++ && $(MAKE) distclean)
-	rm -f "$(CURDIR)/utilities/.libs/*" "$(CURDIR)/_configs.sed" \
-		"$(CURDIR)/magick/magick-config.h"
+	rm -f "$(CURDIR)"/utilities/.libs/* "$(CURDIR)"/_configs.sed \
+		"$(CURDIR)"/magick/magick-config.h \
+		"$(CURDIR)"/Magick++/demo/demo_out*.miff
 
 	dh_clean build-stamp
 
-install: build check
+install: build
 	dh_testdir
 	dh_testroot
 	dh_prep
@@ -154,7 +157,6 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-	maemo-optify
 	dh_md5sums
 	dh_builddeb

## imagemagick 6.6.9.7

=== PerlMagick/demo/Makefile ===
all:
	perl demo.pl
	perl button.pl
	perl shapes.pl
	perl piddle.pl
	perl tree.pl
	perl steganography.pl
	perl shadow_text.pl
	perl compose_specials.pl
	perl pixel_fx.pl
	perl single_pixels.pl
	perl annotate.pl
	perl composite.pl

clean:
	/bin/rm -f demo.jpg button.gif model.png shadow.gif tree.gif \
	    compose_specials.jpg  single_pixels.gif  pixel_fx.gif

=== debian/changelog ===
imagemagick (8:6.6.9.7-6) unstable; urgency=high

  * Security bug fix: "Invalid validation DoS
    CVE-2012-0247/CVE-2012-02478", thanks to Henri Salo (Closes: #659339).
  * Bumping urgency to high to fix open security issue in testing
  * Apply patch from revision r6606 to fix compilation with newer zlib.

 -- Vincent Fourmond <fourmond@debian.org>  Wed, 22 Feb 2012 23:08:56 +0100

imagemagick (8:6.6.9.7-5) unstable; urgency=low

  * Replace a overlapped memcopy by a memmove
  * Fix a PNG reduction bug "Corrupted (?) icons", thanks to  
    Torbjörn Andersson <eriknospam@telia.com> 
    (Closes: #630619).
  * Fix parallel build issue. Make debian/rules install target depend 
    on check. Thanks Colin Watson <cjwatson@ubuntu.com>
    (Closes: #593041).

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Thu, 16 Jun 2011 00:18:36 +0200

imagemagick (8:6.6.9.7-4) unstable; urgency=low

  [ Bastien Roucariès ]
  * Acknowledge NMUs. Thanks Vincent Fourmond.
  * Add Vincent Fourmond as comaintainer.
  * Fixed one-off bug in option parser (Closes: #609177).
  * Move configuration files to a common package: Fix bug
    "non-versioned files in a shared library packages
    is *wrong*", thanks to Julien Cristau (Closes: #629945). 

  [ Vincent Fourmond ]
  * Do not forget to depend on that package...
  * And add a Replaces: libmagickcore4 (= 8:6.6.9.7-3.1) stanza on
    imagemagick-common to allow a neat upgrade path.

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 11 Jun 2011 21:31:54 +0200

imagemagick (8:6.6.9.7-3.1) unstable; urgency=low

  * Non-maintainer upload, with permission of Bastien Roucariès
  * Move configuration file to the libmagickcore4 package where they
    belong.

 -- Vincent Fourmond <fourmond@debian.org>  Fri, 03 Jun 2011 00:17:27 +0200

imagemagick (8:6.6.9.7-3) unstable; urgency=low

  * Install config files to /etc really (Closes: #627981).
  * Fix a FTBFS on hurd-i386. Thanks to Pino Toscano (Closes: #628020).
  * Better wording for NEWS file. (Closes: #628007).

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Mon, 30 May 2011 11:27:46 +0200

imagemagick (8:6.6.9.7-2) unstable; urgency=low

  * Upload to unstable

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Fri, 06 May 2011 19:26:53 +0200

imagemagick (8:6.6.9.7-1) experimental; urgency=low

  [ Bastien Roucariès ]
  * Switch build architecture:
  - to git over svn.
  - Modify rules in order to use git.
  - Add README.Source file.
  * New upstream release (Closes: #612811):
  - Drop patch for reading config files from current directory, 
    corrected upstream (Closes: #601824).
  - Upstream updated SONAME (Closes: #587227).
  - Fixes -strip adds additional tags to the image (Closes: #594693).
  - Add example files (Closes: #611125).
  - Move configuration file to /etc.
  - Fix caption error with non break space (Closes: #614117)
  * Fix a build failure: do not try to remove empty directories if list is nil.
  * Perlmagick:
  - Fix a build failure, always run make install.
  - Perlmagick: Update build to conform with perl policy
  * Acknowledge NMUs (Closes: #579775)
  * Bump standard version to 3.9.1.0
  * Use DEB_UPSTREAM_VERSION from cdbs

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Sun, 01 May 2011 13:41:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,30 @@
 Source: imagemagick
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>
+Maintainer: ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>
 Uploaders: Luciano Bello <luciano@debian.org>,
- Daniel Kobras <kobras@debian.org>, Nelson A. de Oliveira <naoliv@debian.org>,
- Bastien Roucariès <roucaries.bastien+debian@gmail.com>
-Standards-Version: 3.8.4
+ Daniel Kobras <kobras@debian.org>, 
+ Nelson A. de Oliveira <naoliv@debian.org>,
+ Bastien Roucariès <roucaries.bastien+debian@gmail.com>,
+ Vincent Fourmond <fourmond@debian.org>
+Standards-Version: 3.9.2
 Build-Depends: chrpath, debhelper (>= 7), ghostscript, libbz2-dev,
  libdjvulibre-dev, libexif-dev, libfreetype6-dev, libgraphviz-dev,
  libjasper-dev, libjpeg-dev, liblcms-dev, liblqr-1-0-dev, libltdl-dev,
  libopenexr-dev, libperl-dev, libpng-dev, librsvg2-dev, libtiff-dev,
  libwmf-dev, libx11-dev, libxext-dev, libxml2-dev, libxt-dev, pkg-config,
  zlib1g-dev
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-gmagick/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gmagick/
+Vcs-Browser: http://git.debian.org/?p=collab-maint/imagemagick.git
+Vcs-Git: git://git.debian.org/collab-maint/imagemagick.git
 Homepage: http://www.imagemagick.org/
 
 Package: imagemagick
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libmagickcore3-extra, ghostscript, netpbm
+Recommends: libmagickcore4-extra, ghostscript, netpbm, ufraw-batch
 Suggests: imagemagick-doc, autotrace, cups-bsd | lpr | lprng, curl, enscript,
  ffmpeg, gimp, gnuplot, grads, groff-base, hp2xx, html2ps, libwmf-bin, mplayer,
- povray, radiance, sane-utils, texlive-base-bin, transfig, xdg-utils, ufraw-batch
+ povray, radiance, sane-utils, texlive-base-bin, transfig, xdg-utils
 Description: image manipulation programs
  ImageMagick is a software suite to create, edit, and compose bitmap images.
  It can read, convert and write images in a variety of formats (over 100)
@@ -38,12 +39,22 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: imagemagick (= ${binary:Version}), libmagick++3 (= ${binary:Version}),
- libmagickcore3-extra (= ${binary:Version}), perlmagick (= ${binary:Version}),
+Depends: imagemagick (= ${binary:Version}), libmagick++4 (= ${binary:Version}),
+ libmagickcore4-extra (= ${binary:Version}), perlmagick (= ${binary:Version}),
  ${misc:Depends}
 Description: debugging symbols for ImageMagick
  This package contains the debugging symbols for ImageMagick, a software suite
  to create, edit, and compose bitmap images.
+
+Package: imagemagick-common
+Architecture: all
+Depends: ${misc:Depends}
+Replaces:libmagickcore4 (= 8:6.6.9.7-3.1)  
+Description: image manipulation programs -- infrastructure
+ imagemagick-common contains the filesystem infrastructure required for
+ further installation of imagemagick in any configuration; it does not provide
+ a full installation of binaries, libraries, and utilities
+ required to run imagemagick.
  
 Package: imagemagick-doc
 Architecture: all
@@ -56,12 +67,12 @@
  This package contains the document files shipped with ImageMagick, a software
  suite to create, edit, and compose bitmap images.
 
-Package: libmagickcore3
+Package: libmagickcore4
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, imagemagick-common
 Recommends: ghostscript, gsfonts
-Suggests: libmagickcore3-extra
+Suggests: libmagickcore4-extra
 Description: low-level image manipulation library
  The MagickCore API is a low-level interface between the C programming language
  and the ImageMagick image processing libraries and is recommended for
@@ -72,13 +83,12 @@
  This package contains the C libraries needed to run executables that make
  use of MagickCore.
 
-Package: libmagickcore3-extra
+Package: libmagickcore4-extra
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: libmagickcore-extra
-Conflicts: libmagickcore2 (<= 7:6.5.5.3-1)
-Enhances: libmagickcore3
+Enhances: libmagickcore4
 Description: low-level image manipulation library - extra codecs
  This package adds support for SVG, WMF, OpenEXR, DjVu and Graphviz to
  MagickCore.
@@ -86,8 +96,8 @@
 Package: libmagickcore-dev
 Architecture: any
 Section: libdevel
-Depends: libmagickcore3 (= ${binary:Version}),
- libmagickcore3-extra (= ${binary:Version}), libbz2-dev, libdjvulibre-dev,
+Depends: libmagickcore4 (= ${binary:Version}),
+ libmagickcore4-extra (= ${binary:Version}), libbz2-dev, libdjvulibre-dev,
  libexif-dev, libfreetype6-dev, libgraphviz-dev, libjasper-dev, libjpeg-dev,
  liblcms-dev, liblqr-1-0-dev, libltdl-dev, libopenexr-dev, libpng-dev,
  librsvg2-dev, libtiff-dev, libwmf-dev, libx11-dev, libxext-dev, libxml2-dev,
@@ -96,10 +106,10 @@
  This package includes header files and static libraries needed to compile
  programs using MagickCore.
 
-Package: libmagickwand3
+Package: libmagickwand4
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, imagemagick-common
 Description: image manipulation library 
  The MagickWand API is the recommended interface between the C programming
  language and the ImageMagick image processing libraries. Unlike the
@@ -112,16 +122,14 @@
 Package: libmagickwand-dev
 Architecture: any
 Section: libdevel
-Depends: libmagickwand3 (= ${binary:Version}),
- libmagickcore3-extra (= ${binary:Version}),
+Depends: libmagickwand4 (= ${binary:Version}),
+ libmagickcore4-extra (= ${binary:Version}),
  libmagickcore-dev (= ${binary:Version}), ${misc:Depends}
-Provides: libmagick9-dev
-Conflicts: libmagick9-dev
 Description: image manipulation library - development files
  This package includes header files and static libraries needed to compile
  programs using MagickWand.
 
-Package: libmagick++3
+Package: libmagick++4
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -135,11 +143,9 @@
 Package: libmagick++-dev
 Architecture: any
 Section: libdevel
-Depends: libmagick++3 (= ${binary:Version}),
+Depends: libmagick++4 (= ${binary:Version}),
  libmagickcore-dev (= ${binary:Version}),
  libmagickwand-dev (= ${binary:Version}), ${misc:Depends}
-Provides: libmagick++9-dev
-Conflicts: libmagick++9-dev
 Description: object-oriented C++ interface to ImageMagick - development files
  This package includes header files and static libraries needed to compile
  programs using Magick++.

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,13 @@
 
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+export DEB_SOURCE_PACKAGE ?= $(strip $(shell egrep '^Source: ' debian/control | cut -f 2 -d ':'))
+export DEB_VERSION ?= $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
+export DEB_NOEPOCH_VERSION ?= $(shell echo $(DEB_VERSION) | cut -d: -f2-)
+export DEB_UPSTREAM_VERSION ?= $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
+export DEB_ISNATIVE ?= $(shell dpkg-parsechangelog | egrep '^Version:' | perl -ne 'print if not /^Version:\s*.*-/;')
 
-IMAGEMAGICKVERSION=6.6.2
+export DEB_UPSTREAM_VERSION_DROPREVISION ?= $(shell echo $(DEB_UPSTREAM_VERSION) |  sed -r "s/(^.+)\..+$$/\1/g")
 
 DESTDIR="$(CURDIR)/debian/tmp"
 
@@ -21,16 +26,15 @@
 build-stamp: $(QUILT_STAMPFN)
 	dh_testdir
 
-	CONFIG_SHELL=/bin/bash \
 	MagickDocumentPath="/usr/share/doc/imagemagick" ./configure \
 	--prefix=/usr \
+	--sysconfdir=/etc \
 	--mandir=\$${prefix}/share/man \
 	--infodir=\$${prefix}/share/info \
 	--with-modules \
 	--with-gs-font-dir=/usr/share/fonts/type1/gsfonts \
 	--with-magick-plus-plus \
 	--with-djvu \
-	--with-perl \
 	--enable-shared \
 	--without-dps \
 	--without-fpx \
@@ -39,7 +43,7 @@
 	--x-libraries=/usr/lib/X11
 
 	cd "$(CURDIR)/PerlMagick" && \
-		perl Makefile.PL
+		perl Makefile.PL INSTALLDIRS=vendor
 
 	# Patch the generated libtool to avoid passing -rpath when linking,
 	# and to explicitly link libraries against the libraries they
@@ -52,7 +56,7 @@
 	$(MAKE)
 
 	cd "$(CURDIR)/PerlMagick" && \
-		$(MAKE)
+		$(MAKE) OPTIMIZE="-O2 -g -Wall"
 
 	touch build-stamp
 
@@ -85,19 +89,23 @@
 	[ ! -f PerlMagick/Makefile ] || (cd PerlMagick && $(MAKE) distclean)
 	[ ! -f Makefile ] || $(MAKE) distclean
 	[ ! -f Magick++/Makefile ] || (cd Magick++ && $(MAKE) distclean)
-	rm -f "$(CURDIR)"/utilities/.libs/* "$(CURDIR)"/_configs.sed \
-		"$(CURDIR)"/magick/magick-config.h \
-		"$(CURDIR)"/Magick++/demo/demo_out*.miff
+	rm -f "$(CURDIR)/utilities/.libs/*" "$(CURDIR)/_configs.sed" #\
+#		"$(CURDIR)/magick/magick-config.h"
 
 	dh_clean build-stamp
 
-install: build
+install: build check
 	dh_testdir
 	dh_testroot
 	dh_prep
 	dh_installdirs
 
 	$(MAKE) install \
+		DESTDIR="$(CURDIR)/debian/tmp" \
+		pkgdocdir=/usr/share/doc/imagemagick
+
+	cd "$(CURDIR)/PerlMagick" && \
+		$(MAKE) install \
 		DESTDIR="$(CURDIR)/debian/tmp" \
 		pkgdocdir=/usr/share/doc/imagemagick
 
@@ -108,17 +116,17 @@
 	-find "$(CURDIR)/debian" -type f -name .packlist | xargs rm -f
 
 	# Fix HTML location inside manpages
-	sed -i 's/doc\/ImageMagick-$(IMAGEMAGICKVERSION)/doc\/imagemagick/' \
+	sed -i 's/doc\/ImageMagick-$(DEB_UPSTREAM_VERSION_DROPREVISION)/doc\/imagemagick/' \
 		$(DESTDIR)/usr/share/man/man*/*
-	sed -i 's/doc\/ImageMagick\\-$(IMAGEMAGICKVERSION)/doc\/imagemagick/' \
+	sed -i 's/doc\/ImageMagick\\-$(DEB_UPSTREAM_VERSION_DROPREVISION)/doc\/imagemagick/' \
 		$(DESTDIR)/usr/share/man/man*/*
 
 	# Use x-terminal emulator for editing (Bug #132947)
 	sed -i 's/xterm/\/etc\/alternatives\/x-terminal-emulator/' \
-		$(DESTDIR)/usr/lib/ImageMagick-$(IMAGEMAGICKVERSION)/config/delegates.xml
+		$(DESTDIR)/etc/ImageMagick/delegates.xml
 
 	# Remove empty directories in debian/tmp
-	-find $(DESTDIR) -type d -empty | xargs rmdir -p
+	-find $(DESTDIR) -type d -empty | xargs -r rmdir -p
 
 	# Remove RPATH from Magick.so
 	chrpath -d $(DESTDIR)/usr/lib/perl5/auto/Image/Magick/Magick.so
@@ -141,8 +149,8 @@
 	dh_install
 	# Remove extra coders
 	while read FILE; do \
-		rm -f debian/libmagickcore3/$$FILE; \
-	done < debian/libmagickcore3-extra.install
+		rm -f debian/libmagickcore4/$$FILE; \
+	done < debian/libmagickcore4-extra.install
 	dh_installmenu
 	dh_installman
 	dh_installmime
@@ -150,7 +158,8 @@
 	dh_installchangelogs
 	dh_link
 	dh_strip --dbg-package=imagemagick-dbg
-	dh_compress
+# fix #611125
+	dh_compress -X/usr/share/doc/imagemagick/www
 	dh_fixperms
 	dh_perl
 	dh_makeshlibs -V
